<mat-form-field appearance="fill">
  <select matNativeControl (change)="changeHour($event)">
    <option *ngFor="let shour of hours" [value]="shour" [selected]="shour == hour">{{shour}}</option>
  </select>
</mat-form-field>
  :
<mat-form-field appearance="fill">
  <select matNativeControl (change)="changeMin($event)">
    <option *ngFor="let smin of minutes" [value]="smin" [selected]="smin == min">{{smin}}</option>
  </select>
</mat-form-field>
